////////////////////////////////////////////////////////////////////////////////////////////
// PDricer_CMD.h


///////////////////////////////////////////////////////////////////////////////////////////////////
// VERSION FIRMWARE
#define COUNT_VERSION		20

#define	VXX_11_99			 0
#define V7_00				 1
#define	V7_10				 2
#define	V7_11				 3
#define	V7_12				 4
#define	V7_13				 5
#define V7_20				 6
#define	V7_30				 7
#define V7_40				 8
#define V7_50				 9
#define V7_60				10
#define V8_00				11
#define V8_40				12
#define V8_50				13
#define V8_60				14
#define V8_80				15
#define V9_00				16
#define V9_30				17
#define V9_40				18
#define V9_60			    19
////////////////////////////////////////////////////////////////////////////////////////////
// 
#define COUNT_P  62							/* pocet prikazu */

// TEXT PRIKAZU PROGRAMU PANELU
#define CSTR_UNKNOWN			0			/* neznamy prikaz */
#define CSTR_NAME				1			/* Jmeno programu */
#define CSTR_LEFT				2			/* posun vlevo */
#define CSTR_UP_L				3			/* posun dolu */
#define	CSTR_DOWN_L				4
#define CSTR_UP_C				5
#define CSTR_DOWN_C				6
#define CSTR_UP_R				7
#define CSTR_DOWN_R				8
#define CSTR_DOWN				9
#define CSTR_UP					10
#define CSTR_STATIC_L			11
#define CSTR_STATIC_C			12
#define CSTR_STATIC_R			13
#define CSTR_STATIC				14
#define CSTR_PAUSE				15
#define CSTR_DEL_ALL			16
#define CSTR_SECOND  			17
#define CSTR_MINUTE				18
#define CSTR_HOUR				19
#define CSTR_WEEK				20
#define CSTR_DAY				21
#define CSTR_MOON				22
#define CSTR_YEAR				23
#define CSTR_YEAR_2				24
#define CSTR_FONT				25
#define CSTR_BRIGHTNESS			26
#define CSTR_PRG_THRAED			27
#define CSTR_EXE				28
#define CSTR_CALL				29
#define	CSTR_RADKA				30
#define CSTR_TEXT_L				31
#define CSTR_TEXT_C				32
#define CSTR_TEXT_R				33
#define CSTR_VSE_NAHORU			34
#define CSTR_VSE_DOLU			35
#define CSTR_VSE_STATIC			36
#define CSTR_TIMER_VIEW			37
#define CSTR_EFECT_DROP_ALL		38
#define CSTR_EFECT_DROP			39
#define CSTR_OBR				40
#define CSTR_ANIM				41
#define CSTR_ANALOG				42
#define CSTR_FREQ				43
#define CSTR_C_PROGRAM			44
#define CSTR_C_TIMESTART		45
#define CSTR_C_TIMESTOP			46
#define CSTR_C_EXTERNI			47
#define CSTR_DEL_LINE			48
#define CSTR_SMAZ				49
#define CSTR_COLOR				50
#define CSTR_RED				51
#define CSTR_GREN				52
#define CSTR_BLUE				53
#define CSTR_VAR				54
#define CSTR_SENSOR				55
#define CSTR_EFECT_ROLL_R		56
#define CSTR_EFECT_ROLL_L		57
#define CSTR_EFECT_ROLL_CC		58
#define CSTR_EFECT_ROLL_CO		59
#define CSTR_P_OUT				60
#define CSTR_POSITON			61

// PARAMETRY PRIKAZU
#define CSTR_PARAM_MONDAY		1000
#define CSTR_PARAM_TUESDAY		1001
#define CSTR_PARAM_WEDNESDAY	1002
#define CSTR_PARAM_THURSDAY		1003
#define CSTR_PARAM_FRIDAY		1004
#define CSTR_PARAM_SATURDAY		1005
#define CSTR_PARAM_SUNDAY		1006
#define CSTR_PARAM_NO			1007
#define CSTR_PARAM_YES			1008
#define CSTR_PARAM_ACTIVE		1009
#define CSTR_PARAM_WAITNEXT		1010
#define CSTR_PARAM_GOSUB		1011
#define CSTR_PARAM_VAR			1128

//////////////////////////////////////////////////////////////////////////////////////////
// KODY ZOBRAZOVACICH PRIKAZU PROGRAMU PANELU
#define CODE_POSUN				0x02
#define CODE_OUT				0x01
#define CODE_PAUZA				0x03
#define CODE_STATIC				0x04
#define CODE_DEL_ALL			0x05
#define CODE_DEL_LINE			0x06
#define CODE_DATETIME			0x07
#define CODE_GRAFIC				0x08
#define CODE_EFECTS				0x09
#define	CODE_RADKA				0x0A
#define CODE_COLOR				0x0B
#define CODE_FONT				0x0C
#define CODE_JAS				0x0D
#define CODE_PROVED				0x0E
#define CODE_SPUST				0x0F
#define CODE_END				0xFF

// KODY PARAMETRU PRIKAZU - POSUN
#define CODE_POSUN_LEFT			0x00
#define CODE_POSUN_DOWN_L		0x01
#define CODE_POSUN_UP_L			0x02
#define CODE_POSUN_DOWN_C		0x03
#define	CODE_POSUN_UP_C			0x04
#define CODE_POSUN_DOWN_R		0x05
#define CODE_POSUN_UP_R			0x06
#define CODE_POSUN_DOWN_ALL		0x07
#define CODE_POSUN_UP_ALL		0x08
#define CODE_POSUN_AUTO_L		0x10
#define CODE_POSUN_AUTO_C		0x11
#define CODE_POSUN_AUTO_R		0x12

// KODY PARAMETRU PRIKAZU - staticky
#define CODE_STATIC_L			0x00
#define CODE_STATIC_C			0x01
#define CODE_STATIC_R			0x02
#define CODE_STATIC_TEXT_L		0x03
#define CODE_STATIC_TEXT_C		0x04
#define CODE_STATIC_TEXT_R		0x05
#define CODE_STATIC_ALL			0x06

// TYP SOUBORU
#define FILE_TYPE_PRG		0		// zobrazovaci program
#define FILE_TYPE_CTRL		1		// kontrolni program
#define FILE_TYPE_INIT		4		// inicializacni program
